package com.ycwl.basic.model.wx;

import lombok.Data;


/**
 * @author: chenxi
 * @date: 2021/8/5 21:06
 */
@Data
public class WechatBaseVO {

    /**
     * 微信成功返回码
     */
    public static final Integer SUCCESS_CODE = 0;

    /**
     * 错误码，0表示正确
     */
    private Integer errcode;

    /**
     * 错误信息
     */
    private String errmsg;

    /**
     * 判断当前响应是否正常
     * @return
     */
    public boolean isSuccess(){
        if (errcode == null || errcode.equals(SUCCESS_CODE)){
            return true;
        }
        return false;
    }

}
